Bug 440789 - FTBFS rxvt-unicode-9.02-2.fc9
FTBFS rxvt-unicode-9.02-2.fc9
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rxvt-unicode (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
:
Depends On:
Blocks: FTBFS
  Show dependency treegraph
 
Reported: 2008-04-04 11:59 EDT by FTBFS
Modified: 2008-07-08 00:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 00:40:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log.bz2 (2.77 KB, application/x-bzip2)
2008-04-04 11:59 EDT, FTBFS
no flags Details
build.log.bz2 (3.74 KB, application/x-bzip2)
2008-04-04 11:59 EDT, FTBFS
no flags Details
root.log.bz2 (2.76 KB, application/x-bzip2)
2008-04-04 11:59 EDT, FTBFS
no flags Details
build.log.bz2 (3.72 KB, application/x-bzip2)
2008-04-04 11:59 EDT, FTBFS
no flags Details
rxvt-unicode patch to eliminate stropts.h build fail (367 bytes, patch)
2008-06-02 12:56 EDT, Jeff Krebs
no flags Details | Diff

  None (edit)
Description FTBFS 2008-04-04 11:59:40 EDT
rxvt-unicode-9.02-2.fc9.src.rpm Failed To Build From Source
Comment 1 FTBFS 2008-04-04 11:59:44 EDT
Created attachment 300746 [details]
root.log.bz2

root.log for i386
Comment 2 FTBFS 2008-04-04 11:59:45 EDT
Created attachment 300747 [details]
build.log.bz2

build.log for i386
Comment 3 FTBFS 2008-04-04 11:59:47 EDT
Created attachment 300748 [details]
root.log.bz2

root.log for x86_64
Comment 4 FTBFS 2008-04-04 11:59:48 EDT
Created attachment 300749 [details]
build.log.bz2

build.log for x86_64
Comment 5 Balaji G 2008-05-01 03:03:45 EDT
Thank you for taking the time to report this bug report.Changing bug status to
Assigned.

Thanks,
Regards,
Balaji
Comment 6 Bug Zapper 2008-05-14 04:45:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jeff Krebs 2008-06-02 12:56:08 EDT
Created attachment 307490 [details]
rxvt-unicode patch to eliminate stropts.h build fail
Comment 8 Jeff Krebs 2008-06-02 12:56:46 EDT
I was getting the build error:

error: sys/stropts.h: No such file or directory

Some on-line research showed that "sys/stropts.h" was originally part of the
glibc-headers package (in Fedora 8).  My understanding is that Fedora 9 and
later will not ship with "sys/stropts.h".  I disabled ISA_STREAM in
rxvt-unicode's "config.h.in" using the attached patch and things compiled fine,
and rxvt-unicode now runs.
Comment 9 Jeff Krebs 2008-06-22 08:48:49 EDT
The latest version of rxvt-unicode builds fine without any patching under Fedora
9.  "config.h.in" performs more checks, including looking for stropts.h.
Comment 10 Jeff Krebs 2008-06-22 08:50:08 EDT
The latest version of rxvt-unicode is 9.05, BTW.
Comment 11 Matt Domsch 2008-07-08 00:40:22 EDT
builds as of 2008-07-03, version 9.05-1.fc10.

Note You need to log in before you can comment on or make changes to this bug.